List Webhook Endpoints
GET
/v1/webhook_endpoints
const url = 'https://api.parasta.io/v1/webhook_endpoints?limit=20';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.parasta.io/v1/webhook_endpoints?limit=20' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” limit
integer
cursor
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
Array<object>
object
id
required
string
url
required
string format: uri
enabled_events
required
Array<string>
secret_preview
required
First 8 chars of the signing secret. Full secret only shown on POST.
string
status
required
string
created
string format: date-time
has_more
boolean
next_cursor
string | null
Example
{ "data": [ { "id": "we_abc123", "enabled_events": [ "payment.created" ], "status": "enabled" } ]}